Subject: bug#64960: Documentation for copy-sequence

From: uzibalqa <[email-masked]>
Date: Sun, 30 Jul 2023 20:09:57 +0000

------- Original Message -------
On Monday, July 31st, 2023 at 7:59 AM, Dmitry Gutov <[email-masked]> wrote:

> On 30/07/2023 22:20, uzibalqa via Bug reports for GNU Emacs, the Swiss
> army knife of text editors wrote:
> 
> > So it returns a copy but elements are not copied. So what happens exactly ?
> > You get a reference to the original ? When I modify the copy, the original
> > remains intact.
> 
> 
> The list (if the sequence is a list) is new (from newly allocated cons
> cells), but the values inside (in cars of those conses) are shared with
> the original list.

It is not evident what the meaning of "shared" means ?  If I use a string,
I get an exact copy and when I change a single character the newlist is 
changed,  the original string remains the same.  So what is shared exactly ?